package edu.travel.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 用户表
 */
@Data
@TableName(value = "baby.bt_account_info")
public class BtAccountInfoVo extends BaseEntity {
    /**
     * 主键
     */
    private String id;

    /**
     * 姓
     */
    private String surname;

    /**
     * 名
     */
    private String name;

    /**
     * 昵称
     */
    private String nickname;

    /**
     * 性别 0男 1女
     */
    private Integer sex;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 地区区号
     */
    private String area;

    /**
     * 生日日期
     */
    private Date birthday;

    /**
     * 用户状态：0-禁用，1-启用（默认启用）
     */
    private Integer userStatus;

    /**
     * 用户密码
     */
    private String password;

    /**
     * 默认语言
     */
    private Long defaultLanguageId;

    /**
     * 微信小程序openid
     */
    private String tenantOpenId;

    /**
     * 微信小程序unionid
     */
    private String tenantUnionid;

}